TypeScript SDK
View queries
Get view query results
Paginate through cached view query results.
GET
TypeScript SDK
Returns a page of results from a previously created view query. UseDocumentation Index
Fetch the complete documentation index at: https://developers.notion.com/llms.txt
Use this file to discover all available pages before exploring further.
start_cursor and page_size to paginate through the cached result set.
Cached results expire after 15 minutes from the time the query was created. If the cache has expired, this endpoint returns a 404.
Connection capabilitiesThis endpoint requires a connection to have read content capabilities. For more information on connection capabilities, see the capabilities guide.
Truncated queries
If the underlying view query matched more rows than the server-side pagination limit, the response will include arequest_status field:
request_status field is surfaced on every page of paginated results for a truncated query, so your connection can detect it regardless of which page it is on. When this field is present, there are additional rows matching the view’s configuration that are not returned.
See Create a view query for guidance on working around the pagination limit (narrower view filters, connection webhooks).
Errors
Returns a 404 HTTP response if the query doesn’t exist, has expired, or theview_id doesn’t match.
Returns a 400 or 429 HTTP response if the request exceeds the request limits.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The API version to use for this request. The latest version is 2026-03-11.
Available options:
2026-03-11 Query Parameters
If supplied, this endpoint will return a page of results starting after the cursor provided.
The number of results to return per page. Maximum: 100
Required range:
1 <= x <= 100